|  | Home | Documentation | _array Struct Reference updated Wed Dec 6 2017 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
_array Struct Reference

Represents the <array> array of values element. More...

`#include <xml-rpc.h>`

Collaboration diagram for _array:
[legend]

## Public Types
typedef _array_iterator | iterator
typedef _array_const_iterator | const_iterator

## Public Member Functions
| _array ()
| _array (struct soap *)
| _array (struct soap *, int)
bool | empty () const
| true if array is empty More...
int | size () const
| number of array elements More...
void | size (int)
| (re)set number of array elements More...
struct value & | operator[] (int)
| array index (negative to get from end) More...
const struct value & | operator[] (int) const
| array index (negative to get from end) More...
_array_iterator | begin () const
| array iterator begin More...
_array_iterator | end () const
| array iterator end More...

## Public Attributes
struct data | data
| data with values More...
struct soap * | soap
| ref to soap struct that manages this type More...

## Detailed Description

Represents the <array> array of values element.

## Member Typedef Documentation

typedef _array_const_iterator _array::const_iterator

typedef _array_iterator _array::iterator

## Constructor & Destructor Documentation

_array::_array | ( |  | ) |

_array::_array | ( | struct soap * |  | ) |

_array::_array | ( | struct soap * | ,
|  | int |
| ) |  |

## Member Function Documentation

_array_iterator _array::begin | ( |  | ) | const

array iterator begin

bool _array::empty | ( |  | ) | const

true if array is empty

_array_iterator _array::end | ( |  | ) | const

array iterator end

struct value& _array::operator[] | ( | int |  | ) |

array index (negative to get from end)

const struct value& _array::operator[] | ( | int |  | ) | const

array index (negative to get from end)

int _array::size | ( |  | ) | const

number of array elements

void _array::size | ( | int |  | ) |

(re)set number of array elements

## Member Data Documentation

struct data _array::data

data with values

struct soap* _array::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h